Skip to main content

GET /kv/rest/v1/values/{key} REST API Endpoint

Retrieves a specific value from Key-Value Store by its key. Use this to read stored data points such as last-processed block numbers, cached values, or configuration data managed through the Key-Value Store.

Updated on
Jul 16, 2026

Path Parameters

key
string
REQUIRED

The unique key associated with the value

Returns

data
object

The data object which contains the following fields:

value
string

The value associated with the specified key

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free